%
% first vertical derivative of a grid
%

%***********************************************************************************
%
%                              Jim Merriam
%                       University of Saskatchewan
%                          jim.merriam@usask.ca
%                              (Feb, 1995)  
%                            (last April 1999)
%
%***********************************************************************************
%

% FIRST VERTICAL DERIVATIVE (GRID MUST HAVE dx=dy)
figure(3),clf
fig3=figure(3);
set(fig3,'name','FIRST VERTICAL DERIVATIVE')  % create new figure in figure 3


   
  CallFrom='fvd';      
  lowpas; 
  

[N,M]=size(FZ);
Z_fil=2*pi*sqrt(FX.^2+FY.^2).*Z_fil;  % calculate first vertical derivative filter
mesh(FX,FY,abs(Z_fil));               % and display
set(gca,'color',[.75 .75 .75]);
xlabel('Fx (cy/unit)'),ylabel(' Fy (cy/unit)')

% write appropriate title
  title('FIRST VERTICAL DERIVATIVE FILTER (LOW PASS FILTER APPLIED)')
  
%%%%%%%%%%%%%%%%%%%%%%%% QUIT BLOCK  %%%%%%%%%%%%%%%%%%%%%%%%%% 
QuitButtonfvd=['set(hQuitfvd,''visible'',''off''),QuitFirstvd=''y'';'];
hQuitfvd=uimenu('label','QUIT','position',1,'Callback',QuitButtonfvd);
QuitFirstvd='n';
while QuitFirstvd=='n'  %    
pause(.1)
end
clear QuitButtonfvd hQuitfvd
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 figure(mainfig)
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%% CLEAN UP %%%%%%%%%%%%%%%%%%%%%%%%%%% 
 clear QuitFirstvd fig3 hradio6 hradio6_1 hradio6_2  ...

