%
% second vertical derivative of z in an N by M FFT
%

%***********************************************************************************
%
%                              Jim Merriam
%                       University of Saskatchewan
%                          jim.merriam@usask.ca
%                              (Feb, 1995)  
%                            (last April 1999)
%
%***********************************************************************************
%
figure(4),clf
fig4=figure(4);
set(fig4,'name','SECOND VERTICAL DERIVATIVE')  % create new figure in figure 4

  
  CallFrom='svd';                  % if YES (lowpass filter) do it  
  lowpas; 
  


Z_fil=(FX.^2+FY.^2).*Z_fil*4*pi^2;
[N,M]=size(FX);

mesh(FX,FY,abs(Z_fil));               % and display
set(gca,'color',[.75 .75 .75]);
xlabel('Fx (cy/unit)'),ylabel(' Fy (cy/unit)')

% write appropriate title
  title('SECOND VERTICAL DERIVATIVE FILTER (LOW PASS FILTER APPLIED)')
  
%%%%%%%%%%%%%%%%%%%%%%%% QUIT BLOCK  %%%%%%%%%%%%%%%%%%%%%%%%%% 
QuitButtonsvd=['set(hQuitsvd,''visible'',''off''),QuitSecondvd=''y'';'];
hQuitsvd=uimenu('label','QUIT','position',1,'Callback',QuitButtonsvd);
QuitSecondvd='n';
while QuitSecondvd=='n'  %    
pause(.1)
end
clear QuitButtonsvd hQuitsvd
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  
 
 figure(mainfig)  
 
%%%%%%%%%%%%%%%%%%%%%%%%%%% CLEAN UP %%%%%%%%%%%%%%%%%%%%%%%%%%% 
clear fig4 

