%%%%%%%%%%%%%%%%%%%%% HELP BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
HELPFinal=['Click on QUIT FILTERING if you wish to start over with filtering.  ', ... 
      ' Click on FURTHER FILTERING if additional (cascaded) filters', ...
      ' are to applied on top of those already applied.', ... 
      ' Note that all filter options are still available with either choice.'];
HelpOffFinal=['set(helpboxFinal,''visible'',''off'')']; % button to turn help off
HelpFinal=['helpboxFinal=uicontrol(''style'',''text'',''units'',''normalized'',', ... 
' ''HorizontalAlignment'',''left'',''backgroundcolor'',[1 1 0],', ...
' ''position'',[.5 .85 .5 .15],''string'',HELPFinal);'];
uimenu(finalfig,'Label','HELP ON','position',1,'Callback',HelpFinal) % button to turn help on
uimenu(finalfig,'Label','HELP OFF','position',2,'Callback',HelpOffFinal); % button to turn help off
%%%%%%%%%%%%%%%%%%%%% BLOCK TO TURN OFF HELP %%%%%%%%%%%%%%%%%%%%%
HelpOffFinal=['set(helpboxFinal,''visible'',''off'')'];
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%

   z_out=ifft2(Z_fil); % inverse Fourier transform

if CallFrom=='hzd'; % do this if  horizd was called
    z_outx=ifft2(Z_filx);
    z_outy=ifft2(Z_fily);
      if dir==999
      z_out=abs(z_outx)+abs(z_outy);
      else
      z_out=z_outx*sin(dir*pi/180)+z_outy*cos(dir*pi/180);
       end
end
   
if CallTo ~='spf'; % if spec fac not called then remove padding
%%%%%%%%%%% THIS BLOCK REMOVES THE PADDING %%%%%%%%%%%%%%%%
  z_out(1:N_band,:)=[];
  z_out=flipud(z_out);
    if(floor(N_in/2)*2~=(N_in))
    z_out(1:N_band-1,:)=[];
    else
    z_out(1:N_band,:)=[];
    end
  z_out=flipud(z_out);
  z_out(:,1:M_band)=[];
  z_out=fliplr(z_out);
    if(floor(M_in/2)*2~=M_in)
    z_out(:,1:M_band-1)=[];
    else
    z_out(:,1:M_band)=[];
    end
  z_out=fliplr(z_out);
  rmsi=sqrt(sum(sum(imag(z_out).*imag(z_out)))/(N_in*M_in));
  rmsr=sqrt(sum(sum(real(z_out).*real(z_out)))/(N_in*M_in));

disp(['RMS OF IMAGINARY OUTPUT GRID ',num2str(rmsi), ... 
      ', RATIO OF RMS(IMAGINARY) TO RMS(REAL) ',num2str(rmsi/rmsr)])
    
z_out=real(z_out); % take real part   
                   % note that a linear regional and perimeter average have
                   % been subtracted and not added back in
 end % end if CallTo
 %%%%%%%%%%%%%%%% THIS BLOCK ADDS BACK IN THE NaN AREA %%%%%%%%%%%%%%%%%%%%
 %Z_OUT=reshape(z_out,N_in*M_in,1);
 %Z_OUT(damnNaN)=ones(size(damnNaN))*NaN;
 %z_out=reshape(Z_OUT,N_in,M_in);
 if CallTo ~='spf';
 z_out=z_out.*z_nan;
 elseif CallTo =='spf';
     z_outh=z_outh.*z_nan;
     z_outl=z_outl.*z_nan;
 end
 %%%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 figure(14),clf
 figure(finalfig)
 mesh(x_in,y_in,z_out),title('FINAL MAP')
xlabel('X'),ylabel('Y')
set(gca,'color',[.75 .75 .75]);
if exist('helpboxM')==1,set(helpboxM,'visible','off'),end

%%%%%%%%%%%%%%%%%%%%%%%% QUIT BLOCK  %%%%%%%%%%%%%%%%%%%%%%%%%% 
QuitButton1fm=['QuitFinalMap=''y'';Z_fil=FZ;'];
%hQuit1=uicontrol('style','pushbutton','string','QUIT FILTERING', ...
 %  'position',[420 10 120 30],'units','normalized','Callback',QuitButton1);
hQuit1fm=uimenu('Label','QUIT FILTERING','position',3,'Callback',QuitButton1fm);

QuitButton2fm=['QuitFinalMap=''y'';',];
hQuit2fm=uimenu('label','FURTHER FILTERING','position',4,'Callback',QuitButton2fm);

QuitFinalMap='n';
while QuitFinalMap=='n'  %    
pause(.1)
end
if(exist('hQuit1fm')),set(hQuit1fm,'visible','off'),end;
if(exist('hQuit2fm')),set(hQuit2fm,'visible','off'),end;
clear QuitButton1fm QuitButton2fm hQuit1fm hQuit2fm HelpOffFinal HELPFinal HelpFinal 
figure(1)
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%
