%
% analtic signal z in an N by M FFT
%

%***********************************************************************************
%
%                              Jim Merriam
%                       University of Saskatchewan
%                          jim.merriam@usask.ca
%                              (April, 1999)  
%                            (last May 1999)
%
%***********************************************************************************
%
figure(12),clf
fig12=figure(12);
set(fig12,'name','ANALYTIC SIGNAL')  % create new figure in figure 12


  CallFrom='anl';                  % if YES (lowpass filter) do it  
  lowpas; 
  

clear i
Z_fil=(i*FX+i*FY+sqrt(FX.^2+FY.^2)).*Z_fil*2*pi;
[N,M]=size(FX);

mesh(FX,FY,abs(Z_fil));               % and display
set(gca,'color',[.75 .75 .75]);
xlabel('Fx (cy/unit)'),ylabel(' Fy (cy/unit)')

  title('ANALYTIC SIGNAL FILTER (LOW PASS FILTER APPLIED)')
  
%%%%%%%%%%%%%%%%%%%%%%%% QUIT BLOCK  %%%%%%%%%%%%%%%%%%%%%%%%%% 
QuitButtonanal=['set(hQuitanal,''visible'',''off''),QuitAnalytic=''y'';'];
hQuitanal=uimenu('label','QUIT','position',1,'Callback',QuitButtonanal);
QuitAnalytic='n';
while QuitAnalytic=='n'  %    
pause(.1)
end
clear QuitButtonanal hQuitanal
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  
figure(mainfig)  
 
%%%%%%%%%%%%%%%%%%%%%%%%%%% CLEAN UP %%%%%%%%%%%%%%%%%%%%%%%%%%% 
clear QuitAnalytic fig12 hradio12 hradio12_1 hradio12_2 fig12

