%
% continuation of a grid
%

%***********************************************************************************
%
%                              Jim Merriam
%                       University of Saskatchewan
%                          jim.merriam@usask.ca
%                              (Feb, 1995)  
%                            (last April 1999)
%
%***********************************************************************************
%

%disp(' CONTINUATION (GRID MUST HAVE dx=dy)'
figure(9),clf
fig9=figure(9);
POSIE=get(fig9,'position');
set(fig9,'position',[POSIE(1)/3 POSIE(2) POSIE(3) POSIE(4)]);
set(fig9,'name','CONTINUATION')  % create new figure in figure 9
%%%%%%%%%%%%%%%%%%%%%%%%%% END BLOCK %%%%%%%%%%%%%%%%%%%%%%%%%%%%
QuitButton=['set(hQuit,''visible'',''off''),mainfig;'];
hQuit=uimenu('label','QUIT','position',2);
uimenu(hQuit,'Label','QUIT','Callback','eval(QuitButton)','position',1)

hbox9_1=uicontrol('style','text','string','CONTINUATION BY','position',[200 350,100,20]);
hbox9_2=uicontrol('style','text','string','GRID UNITS','position',[350 350,100,20]);
hbox9_4=uicontrol('style','text','string','NEGATIVE IS UPWARD, POSITIVE IS DOWNWARD', ... 
   'position',[200 370,300,20]);
hbox9_3=uicontrol('style','edit','string',' ','position',[300 350,50,20],'Callback', ...
    'h=str2num(get(hbox9_3,''STRING''));');

OKButton=['set(hOK,''visible'',''off''),PauseForOK=''n'';'];
hOK=uimenu('label','OK','position',3,'Callback',OKButton);
PauseForOK='y';
while PauseForOK=='y'  %    
pause(.1)
end
clear OKButton hOK 


  CallFrom='cnt'; 

  
  lowpas; 

  fig9;

[N,M]=size(FZ);
Z_fil=exp(2*pi*sqrt(FX.^2+FY.^2)*h).*FZ.*fez;

set(hbox9_1,'visible','off')
set(hbox9_2,'visible','off')
set(hbox9_4,'visible','off')
set(hbox9_3,'visible','off')

mesh(FX,FY,abs(Z_fil))
set(gca,'color',[.75 .75 .75]);
   
      if h <0
      title('UPWARD CONTINUATION FILTER (NO LOW PASS FILTER)')
      elseif h>0
      title('DOWNWARD CONTINUATION FILTER (LOW PASS FILTER APPLIED)')
      else
      disp('PROBLEM: NO RESOLVED CHOICE FOR TITLE IN CONTINUATION')
      end
      

%%%%%%%%%%%%%%%%%%%%%%%% QUIT BLOCK  %%%%%%%%%%%%%%%%%%%%%%%%%% 









figure(mainfig)

 %%%%%%%%%%%%%%%%%%%%%%%%%%% CLEAN UP %%%%%%%%%%%%%%%%%%%%%%%%%%% 
 clear  QuitContin hradio6_1 hradio6_2 hradio6 hbox9 hbox9_1 ...
 fig9 hbox9_3 hbox9_4 hbox9_2 h
clear QuitButton hQuit

